# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource
from .scale_capacity import ScaleCapacity
from .metric_trigger import MetricTrigger
from .scale_action import ScaleAction
from .scale_rule import ScaleRule
from .time_window import TimeWindow
from .recurrent_schedule import RecurrentSchedule
from .recurrence import Recurrence
from .autoscale_profile import AutoscaleProfile
from .email_notification import EmailNotification
from .webhook_notification import WebhookNotification
from .autoscale_notification import AutoscaleNotification
from .autoscale_setting_resource import AutoscaleSettingResource
from .error_response import ErrorResponse, ErrorResponseException
from .rule_data_source import RuleDataSource
from .rule_condition import RuleCondition
from .rule_metric_data_source import RuleMetricDataSource
from .rule_management_event_claims_data_source import RuleManagementEventClaimsDataSource
from .rule_management_event_data_source import RuleManagementEventDataSource
from .threshold_rule_condition import ThresholdRuleCondition
from .location_threshold_rule_condition import LocationThresholdRuleCondition
from .management_event_aggregation_condition import ManagementEventAggregationCondition
from .management_event_rule_condition import ManagementEventRuleCondition
from .rule_action import RuleAction
from .rule_email_action import RuleEmailAction
from .rule_webhook_action import RuleWebhookAction
from .alert_rule_resource import AlertRuleResource
from .incident import Incident
from .activity_log_alert_leaf_condition import ActivityLogAlertLeafCondition
from .activity_log_alert_all_of_condition import ActivityLogAlertAllOfCondition
from .activity_log_alert_action_group import ActivityLogAlertActionGroup
from .activity_log_alert_action_list import ActivityLogAlertActionList
from .activity_log_alert_resource import ActivityLogAlertResource
from .activity_log_alert_resource_patch import ActivityLogAlertResourcePatch
from .retention_policy import RetentionPolicy
from .log_profile_resource import LogProfileResource
from .metric_settings import MetricSettings
from .log_settings import LogSettings
from .service_diagnostic_settings_resource import ServiceDiagnosticSettingsResource
from .autoscale_setting_resource_paged import AutoscaleSettingResourcePaged
from .alert_rule_resource_paged import AlertRuleResourcePaged
from .incident_paged import IncidentPaged
from .activity_log_alert_resource_paged import ActivityLogAlertResourcePaged
from .log_profile_resource_paged import LogProfileResourcePaged
from .monitor_management_client_enums import (
    MetricStatisticType,
    TimeAggregationType,
    ComparisonOperationType,
    ScaleDirection,
    ScaleType,
    RecurrenceFrequency,
    ConditionOperator,
    TimeAggregationOperator,
)

__all__ = [
    'Resource',
    'ScaleCapacity',
    'MetricTrigger',
    'ScaleAction',
    'ScaleRule',
    'TimeWindow',
    'RecurrentSchedule',
    'Recurrence',
    'AutoscaleProfile',
    'EmailNotification',
    'WebhookNotification',
    'AutoscaleNotification',
    'AutoscaleSettingResource',
    'ErrorResponse', 'ErrorResponseException',
    'RuleDataSource',
    'RuleCondition',
    'RuleMetricDataSource',
    'RuleManagementEventClaimsDataSource',
    'RuleManagementEventDataSource',
    'ThresholdRuleCondition',
    'LocationThresholdRuleCondition',
    'ManagementEventAggregationCondition',
    'ManagementEventRuleCondition',
    'RuleAction',
    'RuleEmailAction',
    'RuleWebhookAction',
    'AlertRuleResource',
    'Incident',
    'ActivityLogAlertLeafCondition',
    'ActivityLogAlertAllOfCondition',
    'ActivityLogAlertActionGroup',
    'ActivityLogAlertActionList',
    'ActivityLogAlertResource',
    'ActivityLogAlertResourcePatch',
    'RetentionPolicy',
    'LogProfileResource',
    'MetricSettings',
    'LogSettings',
    'ServiceDiagnosticSettingsResource',
    'AutoscaleSettingResourcePaged',
    'AlertRuleResourcePaged',
    'IncidentPaged',
    'ActivityLogAlertResourcePaged',
    'LogProfileResourcePaged',
    'MetricStatisticType',
    'TimeAggregationType',
    'ComparisonOperationType',
    'ScaleDirection',
    'ScaleType',
    'RecurrenceFrequency',
    'ConditionOperator',
    'TimeAggregationOperator',
]
